Page MenuHomePhabricator

Deploy Extension:3d to beta cluster
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 6 2017, 3:09 PM

Change 341332 had a related patch set uploaded (by marktraceur):
[operations/mediawiki-config] Enable 3d extension on beta

https://gerrit.wikimedia.org/r/341332

MarkTraceur changed the task status from Open to Stalled.Mar 6 2017, 3:12 PM

Blocked on T157077, will go forward once that's closed.

Reedy added a subscriber: Reedy.Mar 7 2017, 2:57 PM

How is 3d2png being deployed? I don't see any sign of it in the operations/puppet repo... Never mind any and all dependancies (ala node) that will need installing presumably on the imagescalers..

I sent an e-mail to the ops list to ask for some help coming to a resolution on that. I'll post here with a description, along with other tasks if necessary.

Johan added a subscriber: Johan.Mar 9 2017, 5:47 PM

Since this has been marked for inclusion in Tech News: Roughly when would you expect this to happen?

Change 341332 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable 3d extension on beta

https://gerrit.wikimedia.org/r/341332

Change 347893 had a related patch set uploaded (by Matthias Mullie):
[operations/mediawiki-config@master] Run 3d2png with xfvb-run

https://gerrit.wikimedia.org/r/347893

Change 347893 merged by jenkins-bot:
[operations/mediawiki-config@master] Run 3d2png with xfvb-run

https://gerrit.wikimedia.org/r/347893

zhuyifei1999 changed the task status from Stalled to Open.Apr 26 2017, 5:20 PM
zhuyifei1999 added a subscriber: zhuyifei1999.

(No longer blocked on security review, which has been done)

I saw COM:VP which links to a working 3d viewer at beta. Is this task resolved?

matthiasmullie closed this task as Resolved.Apr 27 2017, 8:08 AM
matthiasmullie added a subscriber: matthiasmullie.

Yes, this is done.